<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from laguerre_poly.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="laguerre_poly" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>laguerre_poly</refname>
    <refpurpose>Create Laguerre polynomial</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=laguerre_poly(n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, n>=0.</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a polynomial</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Create a Laguerre polynomial of degree n at point x.
   </para>
   <para>
The Laguerre polynomials are orthogonals with respect to
the scalar product :
   </para>
   <para>
<latex>
(f,g)=\int_{0}^{\infty} f(x) g(x) w(x) dx
</latex>
   </para>
   <para>
where w(x) is the Laguerre weight.
   </para>
   <para>
For n large (i.e.n>15), the evaluation of the polynomial with the
horner function can be very inaccurate.
To evaluate the polynomial, the laguerre_eval is
more accurate.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
y=laguerre_poly(0) // L0
y=laguerre_poly(1) // L1
y=laguerre_poly(2) // L2

for n=0:10
y=laguerre_poly(n);
disp(factorial(n)*y)
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013-2015 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
